<app-common-header name="Upgrade to Premium"> </app-common-header>

<ion-content>
    <p style="text-align: center; font-size: 16px;"><b>Premium membership</b></p>
    <p style="text-align: center; font-size: 13px; color:rgb(160, 160, 160)">Include PRO Membership for user of all time
    </p>

    <div class="card" style='text-align: center;' *ngIf="currentPlan < 1">
        <div class='box1' (click)='changeFreeToTrue()'>
            <img class='img' src="../../assets/icon/free-delivery.png">
            <p class='text1-box1'><b>Free User</b></p>
            <p class='text2-box1'>You will receive 1 - 2 Xpx to pay for sign ducuments.<br> Free for all, but just one
                time.</p>
        </div>
    </div>

    <div class="card" style="text-align: center;">
        <div class='box1' (click)='changeFreeToFalse()'>
            <img class='img' src="../../assets/icon/icon.png">
            <p class='text1-box1'><b>Buy Cryptos</b></p>
            <p class='text2-box1'>You can easily buy XPX to sign more documents.<br> It’s sale now.</p>
        </div>
    </div>

    <div class='box-center' *ngIf="!isFree">
        <div class='box-pay'>
            <p class='text-you-pay'>You pay</p>
            <ion-item>
                <ion-input type="number" [(ngModel)]="usdAmount" placeholder='0'></ion-input>
                <ion-select>
                    <ion-select-option selected>USD</ion-select-option>
                </ion-select>
            </ion-item>
        </div>
        <div class='box-get'>
            <p class='text-you-get'>You get</p>
            <ion-item>
                <ng-container *ngIf="usdAmount == null; else elseValue">
                    <ion-label>0</ion-label>
                </ng-container>
                <ng-template #elseValue>
                    <ion-label type="number">{{(buyCrypto.rate!=0) ? usdAmount/buyCrypto.rate : 0}}</ion-label>
                </ng-template>
                <ion-select>
                    <ion-select-option selected>XPX</ion-select-option>
                </ion-select>
            </ion-item>
        </div>
    </div>
    <div class='box-center' *ngIf="isFree"> </div>

    <div class="foot">
        <div class="btn-foot" *ngIf="isFree">
            <br>
            <div class='btn' (click)='onChangeforFree()'>
                <p>Try now </p>
            </div>
        </div>

        <div class="btn-foot" *ngIf="!isFree">
            <br>
            <div class='btn' (click)='onChange()'>
                <p>Buy now </p>
            </div>
        </div>
    </div>
</ion-content>